Skip to content

Get Domain

Request

Get custom domain configuration

Security
bearerToken
Path
tenantstringrequired
curl -i -X GET \
  'https://docs.exolink.com/_mock/apis/exolink_api/tenant/{tenant}/domain' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Domain configuration

Bodyapplication/json
idinteger

Domain ID

tenantIdinteger

Tenant ID

domainNamestring

Custom domain name

Example:"chargers.company.com"
statestring

Domain verification and setup state

Enum:"PENDING""VERIFYING""COMPLETE""FAILED"
verificationRecordstring

DNS verification record

createdAtstring, (date-time)
updatedAtstring, (date-time)
Response
{ "id": 0, "tenantId": 0, "domainName": "chargers.company.com", "state": "PENDING", "verificationRecord": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }